<template>
    <view>
        <!--/*
***HotApp云笔记，基于HotApp小程序统计云后台
***免费云后台申请地址 https://weixin.hotapp.cn/cloud
***API 文档地址：https://weixin.hotapp.cn/api
***小程序技术讨论QQ群：173063969
*/-->
        <!-- 用户反馈 -->
        <form @submit="onSubmit" @reset="">
            <view class="container">
                <view class="row text_box">
                    <textarea class="text" name="content" :value="content" placeholder="请输入您的反馈" />
                </view>
                <view class="row btn_box">
                    <button formType="submit" class="submit">提交反馈</button>
                </view>
                <view class="row version">
                    <view class="txt">版本1.0</view>
                    <view class="txt">本小程序基于HotApp小程序统计云后台开发</view>
                </view>
            </view>
        </form>
    </view>
</template>

<script>
/*
 ***HotApp云笔记，基于HotApp小程序统计云后台
 ***免费云后台申请地址 https://weixin.hotapp.cn/cloud
 ***API 文档地址：https://weixin.hotapp.cn/api
 ***小程序技术讨论QQ群：173063969
 */
var app = getApp();
export default {
    data() {
        return {
            content: ''
        };
    },
    methods: {
        onSubmit: function (event) {
            if (!event.detail.value.content) {
                uni.showToast({
                    title: '请填写反馈内容'
                });
                return;
            }
            var that = this;
            this.setData({
                content: event.detail.value.content
            });
            var now = Date.parse(new Date());
            var key = app.globalData.hotapp.getPrefix('feedback');
            app.globalData.hotapp.post(key, this.content, function (res) {
                if (res.ret == 0) {
                    uni.showToast({
                        title: '提交成功'
                    });
                    uni.redirectTo({
                        url: '../index/index'
                    });
                } else {
                    uni.showToast({
                        title: '提交失败'
                    });
                }
            });
        }
    }
};
</script>
<style>
@import './index.css';
</style>
